function loadAdmins()
	file = io.open(Adminpath, "r")
	admin = {}
	for line in file:lines() do
		table.insert(admin, tonumber(line));
	end
end

function toTable(txt,match)
	local cmd = {}
	if not match then match = '[^%s]+' end
	for word in string.gmatch(txt,match) do
		table.insert(cmd,word)
	end
	return cmd
end

function setRank(id)
	lvl[id] = 1
	for _, usgn in pairs(admin) do
		if player(id,"usgn")==usgn then
			lvl[id] = 2
		end
	end
end

function isAdmin(id)
	if lvl[id] > 1 then
		return true
	else
		return false
	end
end

function welcome(id)
	msg2(id,info[1].."Welcome "..player(id,"name"))
	if string.len(welcome_message) > 0 then
		msg2(id,welcome_message)
	end
	if isAdmin(id) then
		msg2(id,info[3].."Your rank is \169178255102Administrator\169255255255. Use \169178255102!help\169255255255 to see available commands.")
	end
end

function noex(id)
	msg2(id,info[3].."Player does not exist")
end

function noadm(id)
	msg2(id,info[3].."You are not allowed to use this command")
end

function plused(id)
	msg2(id,info[1]..""..player(id,"name").." used "..string.char(169).."150255150"..cmd[1])
end


function live()
	knife = false
	parse("mp_freezetime 5")
	parse("mp_roundtime 2")
	parse("mp_startmoney 800")
	msg("\169100255100LIVE!@C")
end

function addLog(id, cmd)
	file = io.open(Logpath, "a")
	if cmd[1] == "!rcon" then
		file:write(player(id,"name").." ("..player(id,"usgn")..", \'"..player(id,"ip").."\') used RCON: "..cmd[2].."\n")
		file:flush()
		file:close()
	else
		file:write(player(id,"name").." ("..player(id,"usgn")..", \'"..player(id,"ip").."\') used "..cmd[1].." on "..player(cmd[2],"name").." ("..player(cmd[2],"usgn")..", \'"..player(cmd[2],"ip").."\')\n")
		file:flush()
		file:close()
	end
end

function reloadMap()
	parse("map "..game("sv_map"))
end

function initArray(m)
	local array = {}
	for i=1,m do
		array[i] = 0
	end
	return array
end